# TdApi.InputMessageContent (tdlight API 3.3.160 API)
declaration: package: it.tdlight.jni, class: TdApi, class: InputMessageContent

Package it.tdlight.jni

# Class TdApi.InputMessageContent

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.InputMessageContent

Direct Known Subclasses:
  `TdApi.InputMessageAnimation`, `TdApi.InputMessageAudio`, `TdApi.InputMessageContact`, `TdApi.InputMessageDice`, `TdApi.InputMessageDocument`, `TdApi.InputMessageForwarded`, `TdApi.InputMessageGame`, `TdApi.InputMessageInvoice`, `TdApi.InputMessageLocation`, `TdApi.InputMessagePhoto`, `TdApi.InputMessagePoll`, `TdApi.InputMessageSticker`, `TdApi.InputMessageText`, `TdApi.InputMessageVenue`, `TdApi.InputMessageVideo`, `TdApi.InputMessageVideoNote`, `TdApi.InputMessageVoiceNote`

Enclosing class:
  TdApi

    public abstract static class TdApi.InputMessageContent
    extends TdApi.Object

This class is an abstract base class.

## Constructor Summary

Constructors
Constructor | Description
--- | ---
`InputMessageContent()` |

## Method Summary

### Methods inherited from class it.tdlight.jni.TdApi.Object

`getConstructor, serialize, serialize, toString`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### InputMessageContent

public InputMessageContent()